<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <input type="hidden" id="permissionType" name="permissionType" value="">
                <blockquote id="permissionTypeName" class="layui-elem-quote" style="display: none;"></blockquote>
                <div class="layui-form-item">
                    <label class="layui-form-label">权限名称</label>
                    <div class="layui-input-block">
                        <input type="text" id="permissionTitle" name="permissionTitle" class="layui-input" value="" lay-verify="required" placeholder="请输入权限名称" maxlength="255">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">权限路径</label>
                    <div class="layui-input-block">
                        <input type="text" id="permissionUrl" name="permissionUrl" class="layui-input" value="" lay-verify="required" placeholder="请输入权限路径，以'/'开头，符合Ant风格的通配符，例如：api/**" maxlength="255">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">API标识</label>
                    <div class="layui-input-block">
                        <input type="text" id="apiTag" name="apiTag" class="layui-input" value="" placeholder="请输入API标识（Controller名称，用于对API进行分组。页面写上级目录名称，首字母大写）" maxlength="255">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">系统标识</label>
                    <div class="layui-input-block">
                        <input type="text" id="systemTag" name="systemTag" class="layui-input" value="" placeholder="请输入系统标识，可写项目上下文" maxlength="255">
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">公共接口</label>
                    <div class="layui-input-block">
                        <input type="radio" name="isPublic" value="0" title="否">
                        <input type="radio" name="isPublic" value="1" title="是">
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var permissionId = top.restAjax.params(window.location.href).permissionId;

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function initPermissionType() {
            var permissionType = $('#permissionType').val();
            if(permissionType === 'permissionInsert') {
                $('#permissionTypeName').text('新增权限');
            } else if(permissionType === 'permissionDelete') {
                $('#permissionTypeName').text('删除权限');
            } else if(permissionType === 'permissionUpdate') {
                $('#permissionTypeName').text('修改权限');
            } else if(permissionType === 'permissionQuery') {
                $('#permissionTypeName').text('查询权限');
            } else {
                $('#permissionTypeName').text('权限错误!');
            }
            $('#permissionTypeName').show();
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/permission/get/{permissionId}', [permissionId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initPermissionType();
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/permission/update/{permissionId}', [permissionId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>